org.apache.flume.conf.sink

## Class SinkGroupConfiguration

- java.lang.Object
- - org.apache.flume.conf.ComponentConfiguration
  - - org.apache.flume.conf.sink.SinkGroupConfiguration

-     public class SinkGroupConfiguration
      extends ComponentConfiguration

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.flume.conf.ComponentConfiguration

      `ComponentConfiguration.ComponentType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.flume.conf.ComponentConfiguration

      `componentName, configured, errors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinkGroupConfiguration(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)`
    `Context` | `getProcessorContext()`
    `SinkProcessorConfiguration` | `getSinkProcessorConfiguration()`
    `List<String>` | `getSinks()`
    `void` | `setProcessorContext(Context processorContext)`
    `void` | `setSinkProcessorConfiguration(SinkProcessorConfiguration conf)`
    `void` | `setSinks(List<String> sinks)`

    - ### Methods inherited from class org.apache.flume.conf.ComponentConfiguration

      `failIfConfigured, getComponentName, getErrors, getType, isNotFoundConfigClass, setConfigured, setNotFoundConfigClass, setType, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SinkGroupConfiguration

          public SinkGroupConfiguration(String name)

  - ### Method Detail

    - #### setSinks

          public void setSinks(List<String> sinks)

    - #### getSinks

          public List<String> getSinks()

    - #### configure

          public void configure(Context context)
                         throws ConfigurationException

      Overrides:
        `configure` in class `ComponentConfiguration`
      Throws:
        `ConfigurationException`

    - #### getProcessorContext

          public Context getProcessorContext()

    - #### setProcessorContext

          public void setProcessorContext(Context processorContext)

    - #### getSinkProcessorConfiguration

          public SinkProcessorConfiguration getSinkProcessorConfiguration()

    - #### setSinkProcessorConfiguration

          public void setSinkProcessorConfiguration(SinkProcessorConfiguration conf)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.